package com.sundot.airport.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sundot.airport.common.domain.BaseRead;

import java.util.List;


/**
 * 已读Mapper接口
 *
 * @author ruoyi
 * @date 2025-09-09
 */
public interface BaseReadMapper extends BaseMapper<BaseRead> {
    /**
     * 查询已读
     *
     * @param id 已读主键
     * @return 已读
     */
    public BaseRead selectBaseReadById(Long id);

    /**
     * 查询已读列表
     *
     * @param baseRead 已读
     * @return 已读集合
     */
    public List<BaseRead> selectBaseReadList(BaseRead baseRead);

    /**
     * 新增已读
     *
     * @param baseRead 已读
     * @return 结果
     */
    public int insertBaseRead(BaseRead baseRead);

    /**
     * 修改已读
     *
     * @param baseRead 已读
     * @return 结果
     */
    public int updateBaseRead(BaseRead baseRead);

    /**
     * 删除已读
     *
     * @param id 已读主键
     * @return 结果
     */
    public int deleteBaseReadById(Long id);

    /**
     * 批量删除已读
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseReadByIds(Long[] ids);
}
